{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}


{% block content %}
<head>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <script src="{% static 'js/product_list.js' %}"></script>
    <link rel="stylesheet" href="{% static 'css/jquery.toast.css' %}">

    <script type="text/javascript" src="{% static 'js/jquery.toast.js' %}"></script>
</head>

<form method="POST" >
  {% csrf_token %}

<section class="content-header customer_content_header">
      <h1>
        Dealer Dashboard
        <small>Version 2.0</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Dashboard</li>
      </ol>
    </section>

<section style="min-height: 10px;" class="content">
      <!-- Info boxes -->
      <div class="row">
      <a href='/transactions/order_head/outstanding/?on_id={{request.user.id}}' style="color:black">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-star"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Outstanding</span>
              <span class="info-box-number"><i class="fa fa-inr" aria-hidden="true"></i> {{outstanding | floatformat:2 | intcomma}}<!-- <small>%</small> --></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        </a>
        <!-- /.col -->
        <a href="/transactions/order_head/Process/?on_id={{request.user.id}}" style="color:black">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-red"><i class="fa fa-first-order"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Active Orders</span>
              <span class="info-box-number"><i class="fa fa-first-order" aria-hidden="true"></i> {{orderheadactive}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        </a>
        <!-- /.col -->

        <!-- fix for small devices only -->
        <div class="clearfix visible-sm-block"></div>
        <a href="{% url 'dealer_profile' request.user.id %}?Target" style="color:black">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-green"><i class="fa fa-bullseye" aria-hidden="true"></i></span>

            <div class="info-box-content" id="month">
              <span class="info-box-text">Monthly Target</span>
              <span class="info-box-number"><i class="fa fa-inr" aria-hidden="true"></i> {{objdst.monthly_target__sum | floatformat:2 | intcomma}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        </a>
        <!-- /.col -->
        <a href="{% url 'productlist' %}" style="color:black">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-yellow"><i class="fa fa-product-hunt" aria-hidden="true"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">New Products</span>
              <span class="info-box-number">{{Product}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        </a>
        <!-- /.col -->
      </div>
      <!-- /.row -->
      <!--<div class="row">-->
        <!--<div class="col-md-12">-->
          <!--<div class="box">-->

            <div class="box-body">
              <div class="row">
                <div class="col-md-12">
<div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Latest Orders</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <!--<button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>-->
              </div>
            </div>
            <!-- /.box-header -->
            
              
            
            <div class="box-body">
              <div class="table-responsive">
                  {% if orderhead %}
                <table class="table no-margin">
                  <thead>
                  <tr>
                    <th>Order No</th>
                    <th>DMS No</th>
                    <th>Order Date</th>
                    <th>Dispatch Date</th>
                    <th>Invoice Value</th>
                      <th>Discount</th>
                    <th>Status</th>
                    <th>Payment due</th>
                    <th>Credit days left</th>
                  </tr>
                  </thead>
                  <tbody>
                    
                    {% for obj in orderhead|slice:":5" %}
                  <tr>
                    <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.order_number}}</a></td>
                    {% if obj.DMS_order_number %}
                    <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.DMS_order_number}}</a></td>
                    {% else%}
                    <td><span >{{obj.DMS_order_number| default:"---"}}</span></td>
                    {% endif %}
                    <td>{{obj.order_date|date|default:'---'}}</td>
                      {% if obj.get_status_display == 'Dispatched' or obj.get_status_display == 'Delivered' or obj.get_status_display == 'Payment Done' %}
                    <td>{{obj.dispatch_date|date|default:'---'}}</td>
                      {% else%}
                       <td>
                      ---
                    </td>
                    {% endif %}
                    <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                      <td>
                        {% if obj.discount_amount > 0 %}
                            ₹ {{obj.discount_amount|floatformat:2|intcomma}}
                        {% else %}
                            {{obj.discount_amount|default:"---"}}
                        {% endif %}
                    </td>
                    <td><span class="label label-info {{obj.status}}">{{obj.get_status_display}}</span></td>
                      {% if obj.get_status_display == 'Dispatched' or obj.get_status_display == 'Delivered' or obj.get_status_display == 'Payment Done' %}
                    <td>
                        {% if obj.payable_amount > 0 %}
                           ₹ {{obj.payable_amount|floatformat:2|intcomma}}
                        {% else %}
                            ---
                        {% endif %}

                    </td>
                      {% else%}
                       <td>
                      ---
                    </td>
                    {% endif %}
                    {% if obj.get_status_display == 'Dispatched' or obj.get_status_display == 'Delivered'%}
                    <td>
                      {{obj.creditdays.credit_days|default:"0"}}
                    </td>
                    {%else %}
                    <td>
                      ---
                    </td>
                    {% endif %}
                  </tr>
                  {% endfor %}
                  </tbody>
                </table>
                {% else %}
                <span>No data Found!!!</span>
                {% endif %}
              </div>
              <!-- /.table-responsive -->
            </div>
            <!-- /.box-body -->
            <div class="box-footer clearfix" style="text-align: center;">
              <a href="{% url 'productlist' %}"  class="btn btn-sm btn-info btn-flat " style="font-weight: 600;font-size: 18px;">Place New Order</a>
              {% if querysetcount|length > 5 %}
              <a href="{% url 'customer_orders' %}?status=All" class="btn btn-sm btn-default btn-flat pull-right">View All Orders</a>
              {% endif %}
            </div>
            <!-- /.box-footer -->
          </div>
                  <!-- /.chart-responsive -->
                </div>

                <!-- /.col -->
                <div class="col-md-6">

                  <p class="text-center" style="font-size:17px;text-align:left;">
                    <strong>Monthly target</strong>
                  </p>
                    {% if get_target %}
                  {% for target in get_target %}
                  <div class="progress-group">
                    <span class="progress-text">{{target.category}} in({{target.created_on|date:"F"}})</span>
                    <span class="progress-number"><b>{{target.complete_target| floatformat:2 | intcomma}}</b>/{{target.monthly_target | floatformat:2 | intcomma}}</span>

                    <div class="progress sm">
                        <div class="progress-bar progress-bar-green" style="width: {{target.percent}}%"></div>
                        <!--{% if 'red' in target.color %}-->
                        <!--<div class="progress-bar progress-bar-red" style="width: {{target.percent}}%"></div>-->
                        <!--{% elif 'blue' in  target.color  %}-->
                        <!--<div class="progress-bar progress-bar-blue" style="width: {{target.percent}}%"></div>-->
                        <!--{% elif 'green' in target.color %}-->
                        <!--<div class="progress-bar progress-bar-green" style="width: {{target.percent}}%"></div>-->
                        <!--{% endif %}-->
                    </div>
                  </div>
                  <!-- /.progress-group -->
                  
                  {%endfor%}
                  <!-- /.progress-group -->

                  <!-- /.progress-group -->
                    {% else %}
                    <span>No data Found!!!</span>
                {% endif %}
                </div>
                  <div class="col-md-6">

                  <p class="text-center" style="font-size:17px;text-align:left;">
                    <strong>Credit Limit</strong>
                  </p>

                  <div class="progress-group">
                    <span class="progress-text">Credit Blocked vs Credit Limit</span>
                    <span class="progress-number"><b>{{target_block|floatformat:2|intcomma}}</b>/{{credit_limit|floatformat:2|intcomma}}</span>

                    <div class="progress sm">
                        <div class="progress-bar progress-bar-green" style="width: {{hold_percent}}%"></div>

                    </div>
                  </div>
                  <div class="progress-group">
                    <span class="progress-text">Credit Remains vs Credit Limit</span>
                    <span class="progress-number"><b>{{target_remain|floatformat:2|intcomma}}</b>/{{credit_limit|floatformat:2|intcomma}}</span>

                    <div class="progress sm">
                        <div class="progress-bar progress-bar-green" style="width: {{remain_percent}}%"></div>

                    </div>
                  </div>
                      <div class="progress-group">
                    <span class="progress-text">Credit Consumed vs Credit Limit</span>
                    <span class="progress-number"><b>{{target_acheived|floatformat:2|intcomma}}</b>/{{credit_limit|floatformat:2|intcomma}}</span>

                    <div class="progress sm">
                        <div class="progress-bar progress-bar-green" style="width: {{acheived_percent}}%"></div>

                    </div>
                  </div>



                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
            <!-- ./box-body -->

            <!-- /.box-footer -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>

      <!-- /.row -->

      <!-- Main row -->

      <!-- /.row -->
    </section>
   

  </form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){
            $('.content-header').first().remove();
        });
    </script>
{% endblock %}
